Wprowadzenie

Program PS_DK_3_3 pozwala na wyznaczenie funkcji regresji w postaci wielomianu drugiego stopnia, dla przypadku planów eksperymentalnych trój-poziomowych. Plany trój-poziomowe, czyli takie, w których czynniki wejściowe (w liczbie k) przybierają wartości na trzech poziomach zmienności, umożliwiają uzyskanie modelu matematycznego badanego procesu w postaci wielomianu drugiego stopnia [1]:

wygodnej do analizy matematycznej i badań modelowych. Model kwadratowy powinien być stosowany do opisu obszaru zawierającego ekstremum badanej funkcji (punkt stacjonarny badanego procesu). Takie procesy, w których przybliżenie liniowe jest nieadekwatne, znacznie lepiej można opisywać adekwatnymi zależnościami drugiego stopnia, a czynniki wejściowe powinny przyjmować wartości na trzech poziomach zmienności.

W planach trój-poziomowych dokonuje się kodowania czynników zmiennych, budowy matryc planowania i matematycznej obróbki wyników badań.

Program realizuje całość zagadnienia. Posiada instalator, pomoc oraz stronę internetową ( https://plany.programy-mm.pl ), skąd można pobrać wersję instalacyjną. Program można uruchamiać na dowolnym systemie operacyjnym Windows.

W dalszej części pomocy omówiono, dość szczegółowo z ilustracjami graficznymi, opcje programu.

[1] Korzyński M.: Metodyka eksperymentu. Planowanie, realizacja i statystyczne opracowanie wyników eksperymentów technologicznych. Wydawnictwo WNT, Warszawa.

Copyright © 2023 Marek Martyna. All Rights Reserved.


Instalacja

Program PS_DK_3_3 instalowany jest za pomocą specjalnego instalatora w postaci pliku wykonywalnego PS_DK_3_3_inst.exe. Na początku użytkownik jest proszony o wpisanie klucza do programu. Jeśli klucz jest poprawny, to rozpoczyna się proces instalacji.

Instalacja może przebiegać w języku angielskim lub polskim. Program instalacyjny wykrywa wersję językową systemu operacyjnego i jeśli jest to język polski, to uruchamia się po polsku a w przypadku każdego innego języka, w języku angielskim. Poniżej przedstawiono wybrane okienka dialogowe programu instalacyjnego.

Jedno z okienek pokazane poniżej jest istotne z punktu widzenia systemów 64 bitowych. W przypadku systemów 32 bitowych nie ma ono znaczenia.

Kolejne okienko zawiera umowę licencyjną.

Niektóre okienka dialogowe zawierają również linki do strony internetowej programu lub poczty e-mail. Poniżej pokazano okno 'Opcje instalacji'.

Ostatnie okienko dialogowe umożliwia uruchomienie programu zaraz po instalacji.

Jeśli zaznaczone zostanie pole 'Uruchom aplikację', program uruchomi się i na ekranie pojawi się okienko powitalne.

Program instalacyjny umieszcza ikonkę programu PS_DK_3_3 na pulpicie, z którego można program uruchomić. Program instaluje również w systemie trzy skróty umożliwiające: uruchomienie programu, dostęp do strony internetowej oraz deinstalację programu.

Instalator programu PS_DK_3_3 występuje w trzech odmianach. Oprócz wersji instalacyjnej opisanej powyżej istnieją również wersje: PS_DK_3_3_demo oraz PS_DK_3_3_uakt. Po zainstalowaniu i uruchomieniu programu, w dowolnej zakładce okienka dialogowego, można uruchomić przycisk O programie, który powoduje uruchomienie okienka pokazanego poniżej. Wersja Demo ma wygaszone pole Sprawdź uaktualnienie a pozostałe elementy okienka są identyczne w każdej wersji programu.

Wybranie przycisku Co nowego pozwala na zapoznanie się z nowo wprowadzonymi zmianami do tej wersji.

Jeśli pole Sprawdź uaktualnienie zostało zaznaczone i naciśnięty został przycisk Kontynuuj wówczas rozpoczyna się proces aktualizacji programu z serwera. Należy dalej postępować według pojawiających się wskazówek.

Jeśli wersja używana jest aktualna, to pojawi się odpowiedni komunikat.

Korzystając z okienka O programie można również odwiedzić stronę internetową programu.


Opis opcji

Po uruchomieniu programu na ekranie pokazuje się okienko dialogowe, jak poniżej. Okienko to składa się z kilku części i zawiera w sobie prawie całą funkcjonalność programu. Na górze jest umieszczony krótki opis planu, pod którym znajdują się zakładki: Czynniki, Matryca planu, Interpretacja graficzna, Wyniki pomiarów, Obliczenia oraz Wykresy. Przełączanie zakładek, poprzez kliknięcie lewym klawiszem myszki lub klawiszami strzałek (w prawo, w lewo) na klawiaturze, powoduje zmianę zawartości głównej, wewnętrznej części okienka dialogowego. Na samym dole okienka znajdują się cztery przyciski, które są zawsze obecne ale mogą nie być aktywne oraz w zależności od sytuacji mają różne opisy i znaczenie. Będą one szczegółowo omówione w przypadku każdej z zakładek.

Na dole okienka, po jego prawej stronie znajduje się przycisk Pomoc. Przycisk ten widoczny jest zawsze i jego użycie powoduje wyświetlenie pomocy kontekstowej czyli zależnej od wybranego typu zakładki.

Wybierając poniższe linki można przejść do opisów poszczególnych zakładek.

Czynniki

Matryca planu

Interpretacja graficzna

Wyniki pomiarów

Obliczenia

Wykresy


Czynniki

Opis opcji ››

Zakładka Czynniki służy do wprowadzania danych dotyczących parametrów czynników wejściowych oraz czynnika wynikowego. Na początku wszystkie pola edycyjne są puste:

Pola w kolorze białym należy wypełnić ręcznie lub wkleić do nich zawartość skopiowaną wcześniej z innego źródła. Pola liczbowe pozwalają na używanie tylko cyfr i znaku kropki dziesiętnej. Uwaga ta dotyczy pól liczbowych w całym programie.

Druga, dolna część okienka 'Kodowanie czynników' wypełniana jest automatycznie, podczas wpisywania danych w części pierwszej, jak pokazano poniżej.

Po wypełnieniu wszystkich pól zakładka Czynniki wygląda następująco.:

W tej opcji aktywne są trzy przyciski na dole okienka: Wczytaj, Wyczyść oraz Zakończ. Przycisk Zakończ powoduje wyjścia z programu a przycisk Wyczyść likwiduje zawartość pól edycyjnych - pola są gotowe do ponownego wpisywania. Natomiast przycisk Wczytaj pozwala na automatyczne wprowadzenie danych o czynnikach, z wcześniej zapisanego pliku z danymi lub wynikami obliczeń.

Przyjęto zasadę, że każdy plik z zapisanymi danymi (zakładka Wyniki pomiarów) lub plik z wynikami obliczeń (zakładka Obliczenia), może być również punktem startowym do kolejnych obliczeń.


Matryca planu

Opcja Matryca planu zawiera tablicę prezentującą plan statyczny, zdeterminowany o 3 poziomach zmienności i 3 czynnikach wejściowych [1]. Znak '+' oznacza wartość maksymalną, znak '-' wartość minimalną a '0' wartość średnią. Kolumna oznaczona jako 'x0' zawiera zawsze, w każdym wierszu, znak '+". Kolejne wiersze matrycy można zobaczyć przesuwając suwak po prawej stronie okienka dialogowego.

W tej zakładce dostępny jest tylko przycisk Zakończ oraz Pomoc.


Interpretacja graficzna

W zakładce Interpretacja graficzna pokazano graficzną prezentację planu PS_DK_3_3 [1]. Opcja ta nie wymaga od użytkownika jakiejkolwiek reakcji i służy tylko jak ilustracja planu. Dostępne są tylko przyciski Zakończ oraz Pomoc.


Wyniki pomiarów

Opcja Wyniki pomiarów pozwala na wprowadzenie wyników uzyskanych w pomiarach. Istnieje kilka wariantów okienek pomiarowych, w zależności od ilości powtórzeń pomiarów, którą wybiera się w polu wyboru 'liczba powtórzeń pomiarów'. Na rysunku poniżej przedstawiono przypadek dla liczby powtórzeń pomiarów równej dwa.

Dla przypadku trzech powtórzeń pomiarów okienko dialogowe wygląda jak poniżej:

a dla czterech powtórzeń mamy:

Część kolumn, w każdym z okienek, ma pola edytowalne służące do wprowadzania wartości pomiarowych a część, w kolorze szarym, jest tylko do odczytu. Podczas wprowadzania danych pomiarowych pola w odcieniu szarym, w kolumnach 'ysr' - wartość średnia i 'S^2(y)i' - wariancja, wypełniane są automatycznie, na bieżąco. Kolumny do wprowadzania danych można również wypełniać poprzez wklejenie danych do poszczególnych pól lub wklejenie całej kolumny.

Jeśli w pierwszej zakładce Czynniki zostanie użyty przycisk Wczytaj, to dane czynników i wyniki pomiarowe zostaną wczytane z pliku i wypełnią odpowiednie pola w obu zakładkach. Przykładowo zakładka Wyniki pomiarów może wyglądać następująco:

W opcji Wyniki pomiarów można również zapisać dane dotyczące czynników oraz pomiarowe do pliku, korzystając z przycisku Zapisz.

Można wybrać dowolny folder zapisu oraz nazwę pliku z rozszerzeniem *.txt. Początkowo zgłasza się folder instalacji programu PS_DK_3_3 i oczywiście można z niego skorzystać.

Kolumna 'yreg' wypełniana jest automatycznie, po wykonaniu obliczeń w następnej zakładce Obliczenia. Kolumna ta zawiera wartości funkcji regresji dla kolejnych zestawów wartości czynników wejściowych.


Obliczenia

W programie podstawowe obliczenia wykonywane są w zakładce Obliczenia. Po wejściu do tej zakładki, główna część okienka dialogowego jest pusta a dostępne są, oprócz przycisku Pomoc, tylko przyciski Oblicz oraz Zakończ.

Użycie przycisku Oblicz uruchamia obliczenia, w których efektem końcowym jest odkodowana funkcja regresji. W trakcie obliczeń wykonywane są między innymi następujące kroki:

- test powtarzalności doświadczenia (statystyka Cochrana)

- wyznaczenie współczynników równania regresji

- ocena istotności współczynników regresji (test t-Studenta)

- ostateczna, zakodowana postać równania regresji

- ocena adekwatności równania regresji (test Fishera)

- odkodowanie równania regresji

Jeśli na którymś z etapów obliczeń pojawią się problemy, wówczas wypisywane są odpowiednie komunikaty. Na przykład poniższy komunikat sygnalizujący brak adekwatności równania regresji:

Po zakończeniu obliczeń, wyniki zostają wyświetlone w okienku dialogowym. Pierwsza część wyników zawiera dane czynników i dane pomiarowe:

a w dalszej kolejności wyświetlane są wyniki następnych kroków obliczeń. W celu przeglądnięcia całości należy skorzystać z pasków przewijania, w pionie i poziomie, znajdujących się w okienku dialogowym.

Wyniki obliczeń wraz z danymi można zapisać do pliku, korzystając z przycisku Zapisz.

Plik z wynikami można przeglądać w dowolnej chwili korzystając na przykład z systemowego notatnika.

Można również w drugiej części pliku (Wyniki obliczeń) wprowadzać zmiany edycyjne, jeśli tak potrzeba wystąpi. W pierwszej części wyników (Dane) nie powinno się dokonywać modyfikacji, ponieważ jest wykorzystywana do wczytywania danych do kolejnych obliczeń.

W opcji Obliczenia, użycie przycisku Drukuj powoduje wydruk wyników na drukarkę. Wydruk będzie realizowany na wybranej w systemie drukarce lub w przypadku jej braku do pliku *.xps (na przykład w Windows'7 i nowszych systemach). Plik ten można wydrukować później na dowolnej drukarce. Jeśli drukarka jest podłączona do komputera lub dostępna poprzez sieć LAN, można użyć standardowych okienek do ustawień dodatkowych drukarki (na przykład wydruk w pionie, poziomie, zmiana rozdzielczości itd.).


Wykresy

W zakładce Wykresy można generować wykresy w dwóch wariantach:

- 3D (funkcja regresji zależna od dwóch zmiennych, przy ustalonych trzeciej zmiennej)

- 2D (funkcja regresji zależna od jednej zmiennej, przy ustalonych pozostałych zmiennych)

Jest to możliwe po wykonaniu obliczeń. Przełączenie na zakładkę wykresy uaktywnia okienko 'Konfiguracja funkcji regresji', w którym istnieje możliwość wyboru: typu wykresu, różnych postaci funkcji regresji oraz wartości parametrów.

Początkowo wybrana jest funkcji regresji, w której zmienne niezależne to pierwsze dwa czynniki wejściowe a parametrem jest trzeci czynnik wejściowy. Po użyciu przycisku Zatwierdź pojawi się wykres przestrzenny funkcji. Opisy wykresu są zgodne z oznaczeniami czynników wejściowych i czynnika wynikowego, podobnie rzecz ma się z jednostkami.

Jeśli w okienku 'Konfiguracja funkcji regresji' zostałaby wybrana zakładka 2D,

to po użyciu przycisku Zatwierdź, na ekranie pojawi się nowy typ wykresu.

Jeśli przykładowo wybierzemy drugą postać funkcji regresji, to otrzymamy poniższy rysunek:

Zmiana wykresu odbywa się poprzez naciśnięcie przycisku Wykres i modyfikacje w okienku 'Konfiguracja funkcji regresji'.

Okienko to można przesunąć na bok aby odsłonić wykres. Wybrane położenie okienka jest zapamiętywane i okienko ponownie wywołane, poprzez użycie przycisku Wykres, pojawia się w tym samym miejscu.

Wybranie nowej postaci funkcji regresji zmienia opis parametru i zestaw dostępnych jego wartości.

Po wciśnięciu przycisku Zatwierdź, w okienku rysowana jest nowa funkcja.

Można również zmieniać wartości parametru jak pokazano na poniższym rysunku:

Jeśli wpisze się wartość parametru spoza zakresu dostępnego dla danego czynnika wejściowego (jest to możliwe), wówczas program ostrzega o tym ale pozwala narysować funkcję. Na przykład czynnik 's' na poniższym rysunku może się zmieniać w zakresie 0.030÷0120, jeżeli wpisze się wartość 0.270 i zatwierdzi,

to na ekranie pokaże się komunikat:

ale funkcja zostanie narysowana. Część wykresu przekracza maksymalną wartość czynnika wynikowego i jest obcięta.

W okienku 'Konfiguracja funkcji regresji' znajduje się również pole zaznaczania 'Pytaj ponownie'. Jeśli jest ono zaznaczone, to każda zmiana zakładki i powrót do zakładki Wykresy, uruchamia ponownie okienko konfiguracji. W przeciwnym wypadku przejście na zakładkę Wykresy powoduje że jest wyświetlany ostatni wykres.

Każdy wykres można zapisać na dysku w postaci pliku, typu *.bmp, korzystając z przycisku Zapisz

lub wydrukować go na drukarce podpiętej do komputera albo dostępnej poprzez sieć LAN. Plik ten można również otwierać i drukować innymi programami, dostępnymi w systemie:

Podobnie jak dla wykresu 3D można zapisać na dysku wykres typu 2D (w postaci pliku, typu *.bmp)

lub wydrukować go na drukarce podpiętej do komputera albo dostępnej poprzez sieć LAN.


Informacje dodatkowe

Kontakt


Historia programu

Informacje dodatkowe ››

Poniżej przedstawiono najważniejsze zmiany wprowadzane w kolejnych wersjach programu 'PS_DK_3_3':

PS_DK_3_3 wer.1.0 2015.02

PS_DK_3_3 wer.1.1 2018.06:

  • wprowadzono kontrolę poprawności wpisywania danych
  • poprawiono zapis do plików oraz sposób wydruku
  • udostępniono możliwość automatycznej aktualizacji programu lub na żądanie
  • wprowadzono stronę internetową programu
  • uaktualniono pomoc programu

PS_DK_3_3 wer.1.2 2019.02:

  • w opcji wykresy możliwość prezentacji funkcji regresji w dwóch wariantach:

- 3D (funkcja regresji zależna od dwóch zmiennych, przy ustalonej trzeciej zmiennej)

- 2D (funkcja regresji zależna od jednej zmiennej, przy ustalonych pozostałych zmiennych)

  • nowy przycisk 'O programie' zawierający informacje o programie, dostęp do aktualizacji programu i do strony programu
  • rozbudowa pomocy programu

PS_DK_3_3 wer.1.3 2023.04:

  • nowa, responsywna strona internetowa
  • uaktualniona pomoc programu


Kontakt

Informacje dodatkowe ››

Marek Martyna

email: mm@plany.programy-mm.pl